grst_xacml.c File Reference

## Functions

GRSTgaclAcl * | GRSTgaclAclParse (xmlDocPtr, xmlNodePtr, GRSTgaclAcl *)
GRSTgaclAcl * | GRSTxacmlAclParse (xmlDocPtr, xmlNodePtr, GRSTgaclAcl *)
int | GRSTxacmlPermPrint (GRSTgaclPerm, FILE *)
GRSTgaclAcl * | GRSTxacmlAclLoadFile (char *filename)
int | GRSTxacmlFileIsAcl (char *pathandfile)
char * | GRSTxacmlFileFindAclname (char *pathandfile)
GRSTgaclAcl * | GRSTxacmlAclLoadforFile (char *pathandfile)
int | GRSTxacmlCredPrint (GRSTgaclCred *cred, FILE *fp)
int | GRSTxacmlEntryPrint (GRSTgaclEntry *entry, FILE *fp, int rule_number)
int | GRSTxacmlAclPrint (GRSTgaclAcl *acl, FILE *fp, char *dir_uri)
int | GRSTxacmlAclSave (GRSTgaclAcl *acl, char *filename, char *dir_uri)

## Variables

char * | grst_perm_syms []
GRSTgaclPerm | grst_perm_vals []
FILE * | debugfile

## Function Documentation

## GRSTgaclAclParse()

GRSTgaclAcl * GRSTgaclAclParse | ( | xmlDocPtr | doc,
|  | xmlNodePtr | cur,
|  | GRSTgaclAcl * | acl )

## GRSTxacmlAclLoadFile()

GRSTgaclAcl * GRSTxacmlAclLoadFile | ( | char * | filename | ) |

## GRSTxacmlAclLoadforFile()

GRSTgaclAcl * GRSTxacmlAclLoadforFile | ( | char * | pathandfile | ) |

## GRSTxacmlAclParse()

GRSTgaclAcl * GRSTxacmlAclParse | ( | xmlDocPtr | doc,
|  | xmlNodePtr | cur,
|  | GRSTgaclAcl * | acl )

## GRSTxacmlAclPrint()

int GRSTxacmlAclPrint | ( | GRSTgaclAcl * | acl,
|  | FILE * | fp,
|  | char * | dir_uri )

## GRSTxacmlAclSave()

int GRSTxacmlAclSave | ( | GRSTgaclAcl * | acl,
|  | char * | filename,
|  | char * | dir_uri )

## GRSTxacmlCredPrint()

int GRSTxacmlCredPrint | ( | GRSTgaclCred * | cred,
|  | FILE * | fp )

## GRSTxacmlEntryPrint()

int GRSTxacmlEntryPrint | ( | GRSTgaclEntry * | entry,
|  | FILE * | fp,
|  | int | rule_number )

## GRSTxacmlFileFindAclname()

char * GRSTxacmlFileFindAclname | ( | char * | pathandfile | ) |

## GRSTxacmlFileIsAcl()

int GRSTxacmlFileIsAcl | ( | char * | pathandfile | ) |

## GRSTxacmlPermPrint()

int GRSTxacmlPermPrint | ( | GRSTgaclPerm | perm,
|  | FILE * | fp )

## Variable Documentation

## debugfile

FILE* debugfile

## grst_perm_syms

char* grst_perm_syms[]

extern

## grst_perm_vals

GRSTgaclPerm grst_perm_vals[]

extern